First time creating a connector? Read this first.
| Task | Python function | cURL |
|---|---|---|
| Get a list of available destination connectors | destinations.list_destinations | GET /destinations |
| Get information about a destination connector | destinations.get_destination | GET /destinations/<connector-id> |
| Create a destination connector | destinations.create_destination | POST /destinations |
| Update a destination connector | destinations.update_destination | PUT /destinations/<connector-id> |
| Delete a destination connector | destinations.delete_destination | DELETE /destinations/<connector-id> |
| Connector | Python SDK | cURL |
|---|---|---|
| Astra DB | ASTRADB | astradb |
| Azure AI Search | AZURE_AI_SEARCH | azure_ai_search |
| Azure Blob Storage | AZURE | azure |
| Couchbase | COUCHBASE | couchbase |
| Databricks Volumes | DATABRICKS_VOLUMES | databricks_volumes |
| Delta Tables in Amazon S3 | DELTA_TABLE | delta_table |
| Delta Tables in Databricks | DATABRICKS_VOLUME_DELTA_TABLES | databricks_volume_delta_tables |
| Elasticsearch | ELASTICSEARCH | elasticsearch |
| Google Cloud Storage | GCS | gcs |
| IBM FileNet | FILNET | filenet |
| IBM watsonx.data | IBM_WATSONX_S3 | ibm_watsonx_s3 |
| Kafka | KAFKA_CLOUD | kafka-cloud |
| Local | ||
| Milvus | MILVUS | milvus |
| MongoDB | MONGODB | mongodb |
| MotherDuck | MOTHERDUCK | motherduck |
| Neo4j | NEO4J | neo4j |
| OneDrive | ONEDRIVE | onedrive |
| OpenSearch | OPENSEARCH | opensearch |
| Pinecone | PINECONE | pinecone |
| PostgreSQL | POSTGRES | postgres |
| Qdrant | QDRANT_CLOUD | qdrant-cloud |
| Redis | REDIS | redis |
| Snowflake | SNOWFLAKE | snowflake |
| S3 | S3 | s3 |
| Teradata | TERADATA | teradata |
| Teradata vector | TERADATAVECTOR_V2 | teradatavector_v2 |
| Weaviate | WEAVIATE | weaviate |

